                       DUPCHECK ver 1.0 USERS MANUAL
               A check for duplicate files and file names Program
             (C) Copyright 1994, All Rights Reserved
                   by Joe McLaughlin

                                 INDEX
    Topic                                                                 Page
    Introduction. . . . . . . . . . . . . . . . . . . . . . . . . . . . . 1
    General Features and limits . . . . . . . . . . . . . . . . . . . . . 1
    Instructions  . . . . . . . . . . . . . . . . . . . . . . . . . . . . 2
    Known Problems and error messages . . . . . . . . . . . . . . . . . . 2
    DUPCHECK Terms and Conditions . . . . . . . . . . . . . . . . . . . . 3
    Orders from Me  . . . . . . . . . . . . . . . . . . . . . . . . . . . 3
    Disclaimer. . . . . . . . . . . . . . . . . . . . . . . . . . . . . . 3
    Appendix A - Revision History . . . . . . . . . . . . . . . . . . . .A1
        History of DUPCHECK . . . . . . . . . . . . . . . . . . . . . . .A1

                                                                       Page 1
    INTRODUCTION - The original program was written to find what files
    I could delete (I was running out of space). When I ran it for the
    first time I had 60 meg of possible wasted space. This was between
    two 210 meg hard drives on my 486, and a 80 meg hard drive on my
    386 lap top. I had dblspace installed, and was using interlnk to
    connect the computers.  It took about an hour to run.  My total
    number of directories was 439 and files was 12559.

    GENERAL FEATURES - DUPCHECK reads the directory and all subdirectories
    for each item listed on the command line. Then it sorts the files
    by file size. Starting with first file it compares it byte for byte
    with all files that have the same size.  Equal files are reported to
    either the file FILE.DUP or FILEDD.DUP (The FILEDD.DUP contains
    a report of all files that are equal and have the same directory path
    and file name, but a different drive letter.) The program slows down
    when it gets towards the end. (It is faster to compare 1 byte than
    1,935,120 bytes.)
    For pass 2 the files are sorted by name. A report of files with the same
    name is written to the file NAME.DUP. File size is not considered
    at all. I eliminated the file CHKLIST.MS from this report because
    the virus checker has one of these files in every directory.

    The max number of directories that can be read is 750.
    The max number of files that can be processed is 15,000.
    The number of directories to be checked is limited to the dos
    command line.
    The program needs about 540K to run.

                                                                       Page 2
    INSTRUCTIONS- The only option at this time is to supply a list of
    directories to be checked. To start the program, checking drives
    c and d enter the following:
    dos prompt > DUPCHECK c:\ d:\

    Then the program will tell you the directory trees you have requested
    and you will have to press the enter key to continue. Pressing the
    escape key will end the program.

    As the program reads a directory it displays it on the top of the
    screen.
    After all the directories have been read - it displays sorting.
    The file table is sorted by file size.
    After the sort is done - it displays done.
    The first pass of the files starts with the smallest file,
    and compares it to all files of the same size.
    The program updates the current file number and the file number of
    the file it is being compared with, on the screen on the pass 1 line.
    If the files are equal the size of the file is added to the possible
    wasted space line on the screen.
    The program bypasses files that have a size of zero. These are just
    reported on the screen.
    Equal files are reported to either FILE.DUP or FILEDD.DUP (FILLEDD.DUP
    contains a report of equal files that have the same directory name and
    file names, but different drives.)
    The program then checks the next entry in the file table .

    When pass 1 is done. The program sorts the file table by file name.
    Pass 2 is then displayed on the screen.
    If the file name is CHKLIST.MS it is bypassed (the virus checker puts
    this file to all directories)
    All other files with the same name are reported to the file NAME.DUP

    When the program is done it waits for any key to be pressed. This
    allows you to check the possible wasted space figure.

    KNOWN PROBLEMS and error messages

    1.  The message "malloc 1, or 2, or 3, or 4"
        means that more memory was requested than was available. verify that
        Verify that at least 540K is available.
    2.  The message "can not open " means that the program could not open
        that file.
    3.  If you have more than 750 directories you will get the message
        "number of directories exceded"
    4.  If you have more than 15,000 files you will get the message
        "number of files exceeded"

                                                                       Page 3
    DUPCHECK TERMS AND CONDITIONS

    NOTICE - DUPCHECK is not free software. If you paid a "public domain"
    vendor for this program, you paid for the copy and mailing service only,
    and not for the program itself. Nothing ever gets to the author of the
    program from such a sale. You may evaluate DUPCHECK for 10 days,
    and if you find it useful, you must register your copy.
        There are several incentives for registering DUPCHECK 1.0.
    You get free technical support (which can be quite valuable at times),
    you can get updates from me for $5 ($10 foreign) to cover shipping
    and handling.

    DUPCHECK is copyrighted software, and all rights are reserved.
    DUPCHECK may not be changed or modified in any way except by the author.
    DUPCHECK is SHAREWARE, and may be freely distributed, as long as it
    remains in its complete form with all program and documentation files.
    It may be used for a ten day free trial period. Regardless of how the
    copy is obtained, it is requested that all users comply with the
    following licensing/registration provisions if they continue to use it
    after the 10 day trial period. Use of DUPCHECK after the 10 day free
    trial period constitutes acceptance of these terms.

    1.  $7.50 per copy for individual users. Users can feel free to use
    DUPCHECK for anything. I need your name and address for my records,
    and you are entitled to:
        a. Use all updates at no cost (except shipping and handling; see
           below) provided the registration fee hasn't changed.
        b. Technical support either by phone (you call me) or by letter.

    For foreign orders, please send a check drawn on a US Bank,
    International or US Postal Money Order, Travelers Checks, or cash, since
    the banks here charge up to $60 collection fee for foreign checks.

        For all the above, DUPCHECK should be distributed intact, with all
    documentation (DOC files), Archived form is OK to meet this requirement,
    since it minimizes disk space, if you supply the un-archiving program.

        A user may install DUPCHECK on more than one machine, provided
    he is the only user on each machine. The registration and license
    policy is similar to a book, which can be taken with you but used
    only by you.

    ORDERS FROM ME

    If you order a DUPCHECK update from me, please send $5 ($10 outside
    the USA and Canada) for materials, postage, and handling.
    Please specify 1.2Meg 5.25" disk or 1.44M 3.5" disk.

    DISCLAIMER

    All warranties are disclaimed, including damage to hardware and/or
    software from use of this product. In no event will I be liable to you
    for any damages, including lost profits, lost savings or other
    incidental or consequential damages arising out of your use or inability
    to use the program, or any other claim by any other party.

                               APPENDIX                                Page A1
    HISTORY OF DUPCHECK

    DUPCHECK ver 1.0  1-15-94
